Skip to main content
PATCH
/
trust-centers
/
{slugId}
/
faqs
/
{faqId}
Update Trust Center FAQ
curl --request PATCH \
  --url https://api.vanta.com/v1/trust-centers/{slugId}/faqs/{faqId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "question": "<string>",
  "answer": "<string>",
  "categoryId": "<string>"
}
'
import requests

url = "https://api.vanta.com/v1/trust-centers/{slugId}/faqs/{faqId}"

payload = {
"question": "<string>",
"answer": "<string>",
"categoryId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({question: '<string>', answer: '<string>', categoryId: '<string>'})
};

fetch('https://api.vanta.com/v1/trust-centers/{slugId}/faqs/{faqId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "4b1e7a8c3d9f6a2b5c8d0e3f",
  "question": "What is the meaning of life?",
  "answer": "42",
  "category": {
    "id": "71a3b8d2ef904c1a6d5e7f30",
    "name": "General"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required
faqId
string
required

Body

application/json
question
string
required

The FAQ question.

answer
string
required

The FAQ answer.

categoryId
string | null

The category to place this FAQ in. Pass null to move to uncategorized. Omit to leave unchanged (on update) or default to uncategorized (on create).

Response

200 - application/json

Ok

id
string
required

Unique identifier for the Trust Center FAQ.

question
string
required

The FAQ question.

answer
string
required

The FAQ answer.

category
object | null
required

The category this FAQ belongs to, or null if uncategorized.